Opened 7 years ago

Closed 6 years ago

Last modified 6 years ago

#1485096 closed Bugs (fixed)

Chinese Folder Name and Attachment File Name Problem.

Reported by: paul612 Owned by:
Priority: 10 - Lowest Milestone: 0.2-stable
Component: MIME parsing Version: 0.1.1
Severity: minor Keywords: encoding chinese
Cc:

Description

I found that if use chinese for the folder name. It will show a unicode encode name. Cannot display chinese well. Same case, when you send email using chinese file name for attachment. all chinese char will be removed. When you received email with chinese file name attachment. It cannot be open and download to local computer.

Change History (14)

comment:1 in reply to: ↑ description Changed 7 years ago by Bibby

Replying to paul612:

I found that if use chinese for the folder name. It will show a unicode encode name. Cannot display chinese well.

Can't reproduce this issue here: RCM-0.1.1.

I created a folder name with chinese character, it work well.

Same case, when you send email using chinese file name for attachment. all chinese char will be removed. When you received email with chinese file name attachment. It cannot be open and download to local computer.

Confirmed.
Chinese characters were removed, But i can downloaded it.

comment:2 Changed 7 years ago by Bibby

Oops, forgot one thing: I use dovecot-1.0.x as IMAP server.

comment:3 Changed 7 years ago by Bibby

Sample mail with attachment:

Return-Path: <www@a.cn>
Delivered-To: www@a.cn
Received: from localhost (localhost.localdomain [127.0.0.1])
	by rh52.bibby.org (Postfix) with ESMTP id 71586787B9
	for <www@a.cn>; Sat, 31 May 2008 00:18:26 +0000 (UTC)
X-Virus-Scanned: amavisd-new at rh52.bibby.org
X-Spam-Flag: NO
X-Spam-Score: 2.749
X-Spam-Level: **
X-Spam-Status: No, score=2.749 tagged_above=2 required=6.2
	tests=[ALL_TRUSTED=-1.44, AWL=-0.117, NO_DNS_FOR_FROM=1.407,
	TVD_SPACE_RATIO=2.899]
Received: from rh52.bibby.org ([127.0.0.1])
	by localhost (rh52.bibby.org [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id Hw2w0Hstx2lA for <www@a.cn>;
	Fri, 30 May 2008 20:18:23 -0400 (EDT)
Received: from rh526 (localhost.localdomain [127.0.0.1])
	by rh52.bibby.org (Postfix) with ESMTP id 61032787B8
	for <www@a.cn>; Sat, 31 May 2008 00:18:23 +0000 (UTC)
MIME-Version: 1.0
Date: Fri, 30 May 2008 20:18:23 -0400
From: <www@a.cn>
To: www@a.cn
Subject: test chinese attachment
Message-ID: <9248c53717fad3614dffa07125d4d985@127.0.0.1>
X-Sender: www@a.cn
User-Agent: RoundCube Webmail/0.1
Content-Type: multipart/mixed;
	boundary="=_047107b40d69309c84ee41f8745005f7"

--=_047107b40d69309c84ee41f8745005f7
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit

fdafdsa
--=_047107b40d69309c84ee41f8745005f7
Content-Transfer-Encoding: base64
Content-Type: text/plain; name=".csv"; charset="UTF-8"
Content-Disposition: attachment; filename=".csv"
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--=_047107b40d69309c84ee41f8745005f7--

comment:4 Changed 7 years ago by Bibby

Same mail as above one, got source file in Thunderbird-2.0.0.14(Linux, x86_64).

Return-Path: <www@a.cn>
Delivered-To: www@a.cn
Received: from localhost (localhost.localdomain [127.0.0.1])
	by rh52.bibby.org (Postfix) with ESMTP id 71586787B9
	for <www@a.cn>; Sat, 31 May 2008 00:18:26 +0000 (UTC)
X-Virus-Scanned: amavisd-new at rh52.bibby.org
X-Spam-Flag: NO
X-Spam-Score: 2.749
X-Spam-Level: **
X-Spam-Status: No, score=2.749 tagged_above=2 required=6.2
	tests=[ALL_TRUSTED=-1.44, AWL=-0.117, NO_DNS_FOR_FROM=1.407,
	TVD_SPACE_RATIO=2.899]
Received: from rh52.bibby.org ([127.0.0.1])
	by localhost (rh52.bibby.org [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id Hw2w0Hstx2lA for <www@a.cn>;
	Fri, 30 May 2008 20:18:23 -0400 (EDT)
Received: from rh526 (localhost.localdomain [127.0.0.1])
	by rh52.bibby.org (Postfix) with ESMTP id 61032787B8
	for <www@a.cn>; Sat, 31 May 2008 00:18:23 +0000 (UTC)
MIME-Version: 1.0
Date: Fri, 30 May 2008 20:18:23 -0400
From: <www@a.cn>
To: www@a.cn
Subject: test chinese attachment
Message-ID: <9248c53717fad3614dffa07125d4d985@127.0.0.1>
X-Sender: www@a.cn
User-Agent: RoundCube Webmail/0.1
Content-Type: multipart/mixed;
	boundary="=_047107b40d69309c84ee41f8745005f7"

--=_047107b40d69309c84ee41f8745005f7
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit

fdafdsa
--=_047107b40d69309c84ee41f8745005f7
Content-Transfer-Encoding: base64
Content-Type: text/plain; name=".csv"; charset="UTF-8"
Content-Disposition: attachment; filename=".csv"
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--=_047107b40d69309c84ee41f8745005f7--


comment:5 Changed 7 years ago by till

  • Keywords encoding chinese added
  • Priority changed from 1 to 10
  • Severity changed from critical to minor

Neither in the example, nor in the email you sent to me personally do I see a chinese character before ".csv". They seem to be stripped out way before anyone receives your email. Not sure how to debug this.

If anyone could supply a sample to work with, that would help.

comment:6 Changed 7 years ago by till

Apparently adding an attachment with "chinese" chars is also broken. ;)

comment:7 Changed 7 years ago by Bibby

Below mail was composed in Thunderbird-2.0.0.14, with chinese attachment filename, viewed in roundcubemail-0.1.1, it works fine.

Return-Path: <zhbmaillistonly@gmail.com>
Delivered-To: rhms@chuangyejia.com
Received: from localhost (www.chuangyejia.com [127.0.0.1])
	by www.chuangyejia.com (Postfix) with ESMTP id D19FE5FAC1
	for <rhms@chuangyejia.com>; Fri, 30 May 2008 12:47:15 +0000 (UTC)
X-Virus-Scanned: amavisd-new at www.chuangyejia.com
Received: from www.chuangyejia.com ([127.0.0.1])
	by localhost (www.chuangyejia.com [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id 2Ay4vKU55Tts for <rhms@chuangyejia.com>;
	Fri, 30 May 2008 20:46:54 +0800 (CST)
X-Greylist: delayed 272 seconds by postgrey-1.31 at www.chuangyejia.com; Fri, 30 May 2008 20:46:53 CST
Received: from py-out-1112.google.com (unknown [64.233.166.178])
	by www.chuangyejia.com (Postfix) with ESMTP id 5C7AC5FAB7
	for <rhms@chuangyejia.com>; Fri, 30 May 2008 12:46:53 +0000 (UTC)
Received: by py-out-1112.google.com with SMTP id n24so2529255pyh.26
        for <rhms@chuangyejia.com>; Fri, 30 May 2008 05:52:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:message-id:date:from:user-agent:mime-version:to:subject:content-type;
        bh=vWZGG4Hvf++vH2Td89JXT4/CHw6L/h7NnQUJndY20sc=;
        b=ekiy4clVCK0g/rgRfSaJHr94dGdk12cOtEU4AC/iHNB6YUgpJCDJsHBwBud34ay3TCSosw/LieKMpIi/tpx5isEStN/1MdDJYKwAAGlavqOwjQZfFHS4Pym4zPfpVz1ogeYZmCDvSVJUxZi6UnqiMF32afNdLYmHz4ImOSXqicA=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=message-id:date:from:user-agent:mime-version:to:subject:content-type;
        b=V+7ETWjh80a9GVe8TF1LjwcSljrO2cMXDVzZvzdVp4DRUqS/8mEf5J6bQPH7++uavqKfYjywzSURqUhi4x42Oviw8C90fS4atqvG/WYxxKH3Bf6cBoNp5tKxW9w/zSCzF+nDagBQ8LtGnR82IC3JfsKEpM9DnAuSu0lcez5OVY4=
Received: by 10.114.56.1 with SMTP id e1mr6019160waa.52.1212151956487;
        Fri, 30 May 2008 05:52:36 -0700 (PDT)
Received: from IT-MichaelZh.istc.ibm.com ( [61.141.94.45])
        by mx.google.com with ESMTPS id v25sm3650407wah.36.2008.05.30.05.52.31
        (version=TLSv1/SSLv3 cipher=RC4-MD5);
        Fri, 30 May 2008 05:52:35 -0700 (PDT)
Message-ID: <483FF86A.4080609@gmail.com>
Date: Fri, 30 May 2008 20:51:54 +0800
From: Zhang Huangbin <zhbmaillistonly@gmail.com>
User-Agent: Thunderbird 2.0.0.14 (X11/20080421)
MIME-Version: 1.0
To: rhms@chuangyejia.com
Subject: test
Content-Type: multipart/mixed;
 boundary="------------070408090700090807090006"

This is a multi-part message in MIME format.
--------------070408090700090807090006
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

fdsafdsa

f--
Best Regards.

Zhang Huangbin

- Mail Server Solution for Red Hat(R) Enterprise Linux & CentOS 5.x:
  http://rhms.googlecode.com/


--------------070408090700090807090006
Content-Type: text/csv;
 name="=?UTF-8?B?5Lit5paHLmNzdg==?="
Content-Transfer-Encoding: base64
Content-Disposition: inline;
 filename*=UTF-8''%E4%B8%AD%E6%96%87%2E%63%73%76
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--------------070408090700090807090006--

comment:8 Changed 7 years ago by till

  • Component changed from Client Scripts to PHP backend

So indeed it is the "composing" part. :)

comment:9 follow-up: Changed 7 years ago by alec

  • Milestone changed from later to 0.2-alpha
  • Resolution set to worksforme
  • Status changed from new to closed

I have copied last message, opened in rc, saved attachment and send them with new message. All with current svn version and without any problems, after that in Thunderbird I haven't got any problems with attachement opening neither with filename. Using dovecot 1.0/PHP-5.2.6/Firefox3. Worksforme.

comment:10 in reply to: ↑ 9 Changed 7 years ago by Bibby

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Replying to alec:

I have copied last message, opened in rc, saved attachment and send them with new message. All with current svn version and without any problems, after that in Thunderbird I haven't got any problems with attachement opening neither with filename. Using dovecot 1.0/PHP-5.2.6/Firefox3. Worksforme.

Hi, alec.

It didn't work for me here (SVN [6444cf4b]).

The same issue happened.

comment:11 Changed 6 years ago by tensor1982

Please see if patch #1485267 cures some of the troubles.

comment:12 Changed 6 years ago by alec

Also check patch from my last comment in #1485267

comment:13 Changed 6 years ago by alec

  • Component changed from PHP backend to MIME parsing
  • Resolution set to fixed
  • Status changed from reopened to closed

Fixed in [09f19e67]. Patch sent to PEAR's bugtracker.

comment:14 Changed 6 years ago by storney

I have copied last message, opened in rc, saved attachment and send them with new message. All with current svn version and without any problems, after that in Thunderbird I haven't got any problems with attachement opening neither with filename. Using dovecot 1.0/PHP-5.2.6/Firefox3. Worksforme.

please check patch from my last comment in #1485267 and #1485268

Note: See TracTickets for help on using tickets.